Beautify
curl --request POST \
--url https://api.acedata.cloud/face/beautify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg"
}
'import requests
url = "https://api.acedata.cloud/face/beautify"
payload = { "image_url": "https://cdn.acedata.cloud/4hfydw.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg'})
};
fetch('https://api.acedata.cloud/face/beautify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_url": "https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/fmu/BeautifyPic/1256437459/4027c868-60e9-40e0-b929-0fdb69dcf3c1"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Beautify
Users upload a face picture (up to the largest five face information in a picture can be processed), accurately locate the five features, to achieve beauty, skin brightening, acne and other beauty functions.
POST
/
face
/
beautify
Beautify
curl --request POST \
--url https://api.acedata.cloud/face/beautify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_url": "https://cdn.acedata.cloud/4hfydw.jpg"
}
'import requests
url = "https://api.acedata.cloud/face/beautify"
payload = { "image_url": "https://cdn.acedata.cloud/4hfydw.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({image_url: 'https://cdn.acedata.cloud/4hfydw.jpg'})
};
fetch('https://api.acedata.cloud/face/beautify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"image_url": "https://faceeffect-1254418846.cos.ap-guangzhou.myqcloud.com/fmu/BeautifyPic/1256437459/4027c868-60e9-40e0-b929-0fdb69dcf3c1"
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisations
API token from https://platform.acedata.cloud
En-têtes
Face Beautify Param Accept
Options disponibles:
application/json, application/x-ndjson Corps
application/json
Réponse
Face Beautify Response 200
Face Beautify Response 200 Image Url
Cette page vous a-t-elle été utile ?

